using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenije
{
    class Program
    {
        static void Main(string[] args)
        {
            bool prvi = false;
            bool drugi = false;
            string linija = Console.ReadLine();
            int max1 = int.Parse(linija.Split(' ')[0]);
            int max2 = int.Parse(linija.Split(' ')[1]);
            linija = Console.ReadLine();
            int x = int.Parse(linija.Split(' ')[0]);
            int y = int.Parse(linija.Split(' ')[1]);
            if (x < max1) prvi = true;
            if (y < max2) drugi = true;
            if (prvi == true && drugi == true) Console.WriteLine("?");
            else if (prvi == false && drugi == true) Console.WriteLine("drugi");
            else if (prvi == true && drugi == false) Console.WriteLine("prvi");
            else Console.WriteLine("nijedan");
        }
    }
}